stages:
    - deploy

variables:
    buildConfiguration: "Release"

deploy webapp on heroku:
    stage: deploy
    image: docker:latest
    services:
        - docker:dind
    script:
        - docker build -f src/Web/Dockerfile -t registry.heroku.com/eshop-81/web .
        - echo $HEROKU_TOKEN | docker login -u $HEROKU_USER --password-stdin registry.heroku.com
        - docker push registry.heroku.com/eshop-81/web
        - docker run --rm -e HEROKU_API_KEY=$HEROKU_TOKEN wingrunr21/alpine-heroku-cli container:release web --app eshop-81
    only:
        - master